Assinatura Digital Certsing

Sou advogado e estou migrando agora para o Linux. Instalei o Ubuntu 19.04, mas estou com dificuldades de fazer funcionar o certificado digital. Uso o Certising OAB

Veja os tópicos abaixo.

1 Curtida

Obrigado Amigo, j√° havia visto essas publica√ß√Ķes e n√£o tive muito sucesso. Por isso criei um t√≥pico bem espec√≠fico (certising Vs Ubunto 19.04).
Acho que por hora o jeito vai ser manter uma máquina com o windows só para assinatura de documentos.

agradecido.

2 Curtidas

Nesse ponto, poderia descrever como tentou configurar e o que n√£o deu certo?

Caso tenha uma tela de erro, fica mais f√°cil de te dar dicas.

Eu segui este esquema:

http://forense.digital/instalacao-do-certificado-digital-no-ubuntu-16-04-lts/

e ia tudo ok, at√© o ponto em que pedia para usar o seguinte c√≥digo: ‚Äúapt-get install oracle-java8-installer‚ÄĚ

O terminal responde:

Parou no ponto de instalação de Java, pelo que notei você pulou 2 passos.

Faz o seguinte, segue esse tutorial aqui: https://www.diolinux.com.br/2014/03/como-instalar-java-8-no-ubuntu.html?m=1

1 Curtida

acho que consegui instalar usando o ‚Äúopenjdk-8-jre-headless‚ÄĚ
continuo o processo a partir dai?

Não sei e ainda tem suporte para o java 8. Mas você pode tentar seguir o tutorial de instalação do Java 8, para Ubunto 18.04, postado no blog do Edivaldo, ou tentar instalar o java 10.

1 Curtida

Verifique a vers√£o do java instalado, se estiver ok, tente prosseguir.

$ java -version

1 Curtida

@pedrocapovilla
Digite isso:
sudo rm /var/lib/dpkg/lock-frontend
E depois isso:
sudo add-apt-repository ppa:webupd8team/java
E depois isso:
sudo apt update
E siga o tutorial deste ponto em diante.

E você está digitando comandos de administrador como usuário normal. Isso com certeza dá errado.

1 Curtida

cara, j√° fiz, e n√£o da. :confused:

Em que ponto parou agora?

a √ļnica coisa que consegui foi instalar o java.

dai em diante n√£o tive mais sucesso.
hahaha

1 Curtida

Pode ser que eu esteja enganado, mas acredito que não deveria instalar o JDK (Kit de Desenvolvimento), se reparar no seu print está até na versão 1.8 e para rodar seria o oracle-java8.

Sei que vai ser meio trabalhoso mais vai ter que remover esse aí e instalar o correto:

Segue o tutorial de remoção do JDK e instalação do site passado pelo @tnsampa: Como instalar o Oracle Java no Ubuntu 18.04 LTS

Caso tenha sucesso ou n√£o, pode nos avisar.

Caso tenha sucesso, nos mostre a saída do comando:

java -version

3 Curtidas

Mas a Oracle tirou o suporte do java até o 11 mais ou menos, então nem por PPA estava sendo possível. Confirma?

2 Curtidas

eu já fiz a remoção.
E segui para instala√ß√£o do Oracle Java, mas quando vou executar o comando do instala√ß√£o ‚Äúsudo apt-get install oracle-java8-installer‚ÄĚ, o terminal responde dizendo que ‚Äúo pacato ‚Äėoracle-java8-installer‚Äô n√£o tem candidato para instala√ß√£o‚ÄĚ.

2 Curtidas

Esse comando é para instalar o java 8. Como eu disse antes, acho que o java 8 não está mais disponível. por isso te passei o tutorial para instalar o java 10.

1 Curtida

já tentei com o java 7, 8, 9, 10 e 11. A resposta é sempre a mesma

1 Curtida

você tentou instalar o java 10 usando o tutorial que eu passei?

1 Curtida